ALLEGRO_MOUSE_EMULATION_MODE(3)

NAME

ALLEGRO_MOUSE_EMULATION_MODE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef enum ALLEGRO_MOUSE_EMULATION_MODE

DESCRIPTION

Type of mouse emulation to apply.

ALLEGRO_MOUSE_EMULATION_NONE
    Disables mouse emulation.

ALLEGRO_MOUSE_EMULATION_TRANSPARENT
    Enables transparent mouse emulation.

ALLEGRO_MOUSE_EMULATION_INCLUSIVE
    Enable inclusive mouse emulation.

ALLEGRO_MOUSE_EMULATION_EXCLUSIVE
    Enables exclusive mouse emulation.

ALLEGRO_MOUSE_EMULATION_5_0_x
    Enables mouse emulation that is backwards compatible with Allegro 5.0.x.

SINCE

5.1.0

    [Unstable API]: Seems of limited value, as touch input tends to have different semantics compared to mouse input.